Bug 508521 - Review Request: jettison - A JSON StAX implementation
Review Request: jettison - A JSON StAX implementation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 06:40 EDT by Sandro Mathys
Modified: 2009-12-09 10:43 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 11:54:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2009-06-28 06:40:08 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/jettison.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/jettison-1.1-1.fc11.src.rpm
Description:
Jettison is a collection of Java APIs (like STaX and DOM) which read
and write JSON. This allows nearly transparent enablement of JSON based
web services in services frameworks like CXF or XML serialization

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.
Comment 1 Lubomir Rintel 2009-11-01 05:30:23 EST
Good, work; nice and clean!

1.) I suggest you use a %{version} macro here, to ease updates:
jar -cf jettison-1.1.jar -C target .

Full review:

* spec file legible, uses american english
* source matches upstream
* packages latest version
* rpmlint silent
* builds fine in mock (scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1780920)
* license ok, listed in %doc
* javadoc built, conforming to guidelines
* no prebuilt stuff
* filelists sane
* macros used consistently

APPROVED
Comment 2 Sandro Mathys 2009-11-02 02:59:13 EST
Hi Lubomir, thanks for the review :) Glad to see there's nothing to complain about :) will replace jettison-1.1 with %{name}-%{version} in the mentioned line before I push the pkg.


New Package CVS Request
=======================
Package Name: jettison
Short Description: A JSON StAX implementation
Owners: red
Branches: F-11 F-12 EL-4 EL-5
InitialCC:
Comment 3 Kevin Fenzi 2009-11-02 23:34:41 EST
cvs done.
Comment 4 Fedora Update System 2009-11-03 02:26:55 EST
jettison-1.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jettison-1.1-1.fc11
Comment 5 Fedora Update System 2009-11-03 02:27:57 EST
jettison-1.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/jettison-1.1-1.el5
Comment 6 Sandro Mathys 2009-11-03 02:32:08 EST
Building for EL-4 didn't work (probably a problem with the Java version) and F-12 currently doesn't accept updates except through requesting manual tagging.

Will update this as the one or the other gets fixed.
Comment 7 Fedora Update System 2009-11-04 07:24:32 EST
jettison-1.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jettison'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10967
Comment 8 Fedora Update System 2009-11-05 16:27:04 EST
jettison-1.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jettison'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0793
Comment 9 Fedora Update System 2009-11-23 11:54:49 EST
jettison-1.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-11-24 03:00:04 EST
jettison-1.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Sandro Mathys 2009-12-09 10:43:53 EST
Won't build an EL-4 version due to lack of interest in maintaining it with java 1.5 (i.e. gcj). If someone else in the future wants to co-maintain this for EL-4 feel free to contact me.

Note You need to log in before you can comment on or make changes to this bug.